# Method: subscriptions.suspend

- [HTTP request](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions/suspend#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions/suspend#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions/suspend#body.request_body)
- [Response body](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions/suspend#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions/suspend#body.aspect)
- [Try it!](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions/suspend#try-it)

Suspends an active subscription.

You can use this method to suspend a paid subscription that is currently in the `ACTIVE` state.

- For `FLEXIBLE` subscriptions, billing is paused.
- For `ANNUAL_MONTHLY_PAY` or `ANNUAL_YEARLY_PAY` subscriptions:
  - Suspending the subscription does not change the renewal date that was originally committed to.
  - A suspended subscription does not renew. If you activate the subscription after the original renewal date, a new annual subscription will be created, starting on the day of activation.

We strongly encourage you to suspend subscriptions only for short periods of time as suspensions over 60 days may result in the subscription being cancelled.

### HTTP request

`POST https://reseller.googleapis.com/apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/suspend`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customerId` | `string` This can be either the customer's primary domain name or the customer's unique identifier. If the domain name for a customer changes, the old domain name cannot be used to access the customer, but the customer's unique identifier (as returned by the API) can always be used. We recommend storing the unique identifier in your systems where applicable. |
| `subscriptionId` | `string` This is a required property. The `subscriptionId` is the subscription identifier and is unique for each customer. Since a `subscriptionId` changes when a subscription is updated, we recommend to not use this ID as a key for persistent data. And the `subscriptionId` can be found using the [retrieve all reseller subscriptions](https://developers.google.com/workspace/admin/reseller/v1/how-tos/manage_subscriptions#get_all_subscriptions) method. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions#Subscription`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/apps.order`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).